package com.tuoheng.admin.enums.code.inspection;

/**
 *  添加任务信息返回码
 *      模块代码：23（任务管理）
 *      接口代码：01 （添加任务）
 *
 * @author wanjing
 * @team tuoheng
 * @date 2022-11-24
 */
public enum AddInspectionCodeEnum {

    ADD_IS_FAILED(1230100, "添加任务失败"),
    NAME_IS_NULL(1230101, "任务名为空"),
    TYPE_IS_NULL(1230102, "任务类型为空"),
    ROAD_IS_NULL(1230103, "航道信息为空"),
    SECTION_IS_NULL(1230104, "航段信息为空"),
    INSPECTION_TYPE_IS_NULL(1230105, "巡检方式为空"),
    AIRPORT_IS_NULL(1230106, "巡检机场为空"),
    INSPECTION_LINE_IS_NULL(1230107, "巡检路线为空"),

    LIVE_IS_NULL(1230108, "是否直播为空"),

    START_LONGITUDE_IS_NULL(1230109, "起点经度为空"),

    START_LATITUDE_IS_NULL(1230110, "起点纬度为空"),

    END_LONGITUDE_IS_NULL(1230111, "终点经度为空"),

    END_LATITUDE_IS_NULL(1230112, "终点纬度为空"),

    INSPECTION_TIME_IS_NULL(1230113, "巡检时间为空"),
    ROAD_IS_NOT_EXIST(1230114, "航道不存在"),
    SECTION_IS_NOT_EXIST(1230115, "航段不存在"),
    USER_IS_NOT_EXIST(1230116, "用户不存在"),
    DEPT_IS_NOT_EXIST(1230117, "部门不存在"),
    CALL_PILOT_IS_FAILED(123018, "对接飞手平台失败"),
    CALL_DSP_IS_FAILED(1230119, "对接DSP平台失败"),
    CALL_AMAP_IS_FAILED(1230120, "对接高德地图平台失败");

    /**
     * 错误码
     */
    private int code;

    /**
     * 错误信息
     */
    private String msg;

    AddInspectionCodeEnum(int code, String msg){
        this.code = code;
        this.msg = msg;
    }

    public int getCode() {
        return code;
    }

    public void setCode(int code) {
        this.code = code;
    }

    public String getMsg() {
        return msg;
    }

    public void setMsg(String msg) {
        this.msg = msg;
    }

}
